#include "include.h"

AT(.text.func.msg)
void func_wireless_message_do(u16 msg)
{
    switch (msg) {
        case MSG_SYS_500MS:
            break;

        case MSG_SYS_1S: {
            printf("MSG_SYS_1S\n");
            wireless_send_ctrl_cmd(WIRELESS_CTRL_CMD_CODE_TEST, 10, (u8 *)0x18000);
        }
        break;

        default:
            func_message(msg);
            break;
    }
}


AT(.text.app.proc.msg)
void func_wireless_message(u16 msg)
{
    if(msg){
        func_wireless_message_do(msg);
    }
}
